<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/CalorimeterHitConst.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CalorimeterHitConst.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_calorimeter_hit_const_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_ConstCalorimeterHit_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_ConstCalorimeterHit_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_calorimeter_hit_obj_8h.html">eicd/CalorimeterHitObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vector_x_y_z_8h.html">eicd/VectorXYZ.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// forward declarations</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">class </span>RawCalorimeterHit;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">class </span>ConstRawCalorimeterHit;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;}</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>CalorimeterHit;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">class </span>CalorimeterHitCollection;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">class </span>CalorimeterHitCollectionIterator;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classeic_1_1_const_calorimeter_hit.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a>;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html">CalorimeterHitCollection</a>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html">CalorimeterHitCollectionIterator</a>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a35dea614836ae07de1255880524938e6">ConstCalorimeterHit</a>();</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a35dea614836ae07de1255880524938e6">ConstCalorimeterHit</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#ae07952768ca50d8319f826f7a06ff081">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#ae737f9fd26c7dca7c04f75fc0ef21b81">cellID1</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a46a988dbb17d2a6aaf4010b0dc30b735">energy</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#af1efd1cb1c3359fb9824822338a11c0b">time</a>, <a class="code" href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a23a3fcfbbd307bccb3f57c06bef0ce2f">position</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a93910529a7d07283de64275044e7e2e4">type</a>);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a35dea614836ae07de1255880524938e6">ConstCalorimeterHit</a>(<a class="code" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a>* obj);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a35dea614836ae07de1255880524938e6">ConstCalorimeterHit</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a>&amp; other);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a>&amp; <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a468f6db45e5d0b77fb311a4161c1912d">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a>&amp; other);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a638754b9e991342cef3620d410ba30fe">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a81946de4a54634b41fb6e378b32b6719">~ConstCalorimeterHit</a>();</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_calorimeter_hit.html#ae07952768ca50d8319f826f7a06ff081">cellID0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_calorimeter_hit.html#ae737f9fd26c7dca7c04f75fc0ef21b81">cellID1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a46a988dbb17d2a6aaf4010b0dc30b735">energy</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_calorimeter_hit.html#af1efd1cb1c3359fb9824822338a11c0b">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keyword">const</span> <a class="code" href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a>&amp; <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a23a3fcfbbd307bccb3f57c06bef0ce2f">position</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a93c360316514cbc6d09a5ec08370b212">x</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a03769cc93d81a949806eb6adcd0ca62f">y</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_calorimeter_hit.html#ab943a8ca52790ce65b76daecc49bda8f">z</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a93910529a7d07283de64275044e7e2e4">type</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  const ::eic::ConstRawCalorimeterHit <a class="code" href="classeic_1_1_const_calorimeter_hit.html#ad24d48af434ccecfb9776caeae358ffe">rawHit</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a10e2a07fdb1f663a893eef0eb870edd5">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="classeic_1_1_const_calorimeter_hit.html#a4f12f2c92cbafb700c06edda35f27e71">   91</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a4f12f2c92cbafb700c06edda35f27e71">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classeic_1_1_const_calorimeter_hit.html#ae07a922ae22b5b75c36a882eac2bf585">   93</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#ae07a922ae22b5b75c36a882eac2bf585">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#ae07a922ae22b5b75c36a882eac2bf585">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classeic_1_1_const_calorimeter_hit.html#a118105c1aa3580b2d23719f5600225df">   97</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a118105c1aa3580b2d23719f5600225df">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classeic_1_1_const_calorimeter_hit.html#aa7ecf2a4aeb1a5677f78329ed862a17e">   99</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#aa7ecf2a4aeb1a5677f78329ed862a17e">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a36a7537b542fcc094e050f701d1da480">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a36a7537b542fcc094e050f701d1da480">getObjectID</a>().index; }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_calorimeter_hit.html#a36a7537b542fcc094e050f701d1da480">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a>* m_obj;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;};</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a03769cc93d81a949806eb6adcd0ca62f"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a03769cc93d81a949806eb6adcd0ca62f">eic::ConstCalorimeterHit::y</a></div><div class="ttdeci">const double &amp; y() const</div><div class="ttdoc">Access the member of The position of the hit in world coordinates. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00058">CalorimeterHitConst.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8h_source.html#l00029">CalorimeterHitConst.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_ad24d48af434ccecfb9776caeae358ffe"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#ad24d48af434ccecfb9776caeae358ffe">eic::ConstCalorimeterHit::rawHit</a></div><div class="ttdeci">const ::eic::ConstRawCalorimeterHit rawHit() const</div><div class="ttdoc">Access the The RawCalorimeterHit. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00062">CalorimeterHitConst.cc:62</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit.html">eic::CalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8h_source.html#l00031">CalorimeterHit.h:31</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a638754b9e991342cef3620d410ba30fe"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a638754b9e991342cef3620d410ba30fe">eic::ConstCalorimeterHit::clone</a></div><div class="ttdeci">ConstCalorimeterHit clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00045">CalorimeterHitConst.cc:45</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_ae737f9fd26c7dca7c04f75fc0ef21b81"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#ae737f9fd26c7dca7c04f75fc0ef21b81">eic::ConstCalorimeterHit::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00053">CalorimeterHitConst.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a23a3fcfbbd307bccb3f57c06bef0ce2f"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a23a3fcfbbd307bccb3f57c06bef0ce2f">eic::ConstCalorimeterHit::position</a></div><div class="ttdeci">const eic::VectorXYZ &amp; position() const</div><div class="ttdoc">Access the The position of the hit in world coordinates. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00056">CalorimeterHitConst.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection_iterator.html">eic::CalorimeterHitCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00029">CalorimeterHitCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a10e2a07fdb1f663a893eef0eb870edd5"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a10e2a07fdb1f663a893eef0eb870edd5">eic::ConstCalorimeterHit::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00074">CalorimeterHitConst.cc:74</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a81946de4a54634b41fb6e378b32b6719"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a81946de4a54634b41fb6e378b32b6719">eic::ConstCalorimeterHit::~ConstCalorimeterHit</a></div><div class="ttdeci">~ConstCalorimeterHit()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00049">CalorimeterHitConst.cc:49</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html">eic::CalorimeterHitCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00050">CalorimeterHitCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_obj_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_obj.html">eic::CalorimeterHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_obj_8h_source.html#l00022">CalorimeterHitObj.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_ae07952768ca50d8319f826f7a06ff081"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#ae07952768ca50d8319f826f7a06ff081">eic::ConstCalorimeterHit::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00052">CalorimeterHitConst.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a118105c1aa3580b2d23719f5600225df"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a118105c1aa3580b2d23719f5600225df">eic::ConstCalorimeterHit::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const ConstCalorimeterHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8h_source.html#l00097">CalorimeterHitConst.h:97</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_html"><div class="ttname"><a href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a></div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_8h_source.html#l00011">VectorXYZ.h:11</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_aa7ecf2a4aeb1a5677f78329ed862a17e"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#aa7ecf2a4aeb1a5677f78329ed862a17e">eic::ConstCalorimeterHit::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8h_source.html#l00099">CalorimeterHitConst.h:99</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_af1efd1cb1c3359fb9824822338a11c0b"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#af1efd1cb1c3359fb9824822338a11c0b">eic::ConstCalorimeterHit::time</a></div><div class="ttdeci">const float &amp; time() const</div><div class="ttdoc">Access the The time of the hit in [ns]. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00055">CalorimeterHitConst.cc:55</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a36a7537b542fcc094e050f701d1da480"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a36a7537b542fcc094e050f701d1da480">eic::ConstCalorimeterHit::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00081">CalorimeterHitConst.cc:81</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_ae07a922ae22b5b75c36a882eac2bf585"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#ae07a922ae22b5b75c36a882eac2bf585">eic::ConstCalorimeterHit::operator==</a></div><div class="ttdeci">bool operator==(const ConstCalorimeterHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8h_source.html#l00093">CalorimeterHitConst.h:93</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a468f6db45e5d0b77fb311a4161c1912d"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a468f6db45e5d0b77fb311a4161c1912d">eic::ConstCalorimeterHit::operator=</a></div><div class="ttdeci">ConstCalorimeterHit &amp; operator=(const ConstCalorimeterHit &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00035">CalorimeterHitConst.cc:35</a></div></div>
<div class="ttc" id="_calorimeter_hit_obj_8h_html"><div class="ttname"><a href="_calorimeter_hit_obj_8h.html">CalorimeterHitObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a93910529a7d07283de64275044e7e2e4"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a93910529a7d07283de64275044e7e2e4">eic::ConstCalorimeterHit::type</a></div><div class="ttdeci">const int &amp; type() const</div><div class="ttdoc">Access the The type of the hit. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00060">CalorimeterHitConst.cc:60</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a46a988dbb17d2a6aaf4010b0dc30b735"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a46a988dbb17d2a6aaf4010b0dc30b735">eic::ConstCalorimeterHit::energy</a></div><div class="ttdeci">const float &amp; energy() const</div><div class="ttdoc">Access the The energy of the hit in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00054">CalorimeterHitConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a93c360316514cbc6d09a5ec08370b212"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a93c360316514cbc6d09a5ec08370b212">eic::ConstCalorimeterHit::x</a></div><div class="ttdeci">const double &amp; x() const</div><div class="ttdoc">Access the member of The position of the hit in world coordinates. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00057">CalorimeterHitConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a35dea614836ae07de1255880524938e6"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a35dea614836ae07de1255880524938e6">eic::ConstCalorimeterHit::ConstCalorimeterHit</a></div><div class="ttdeci">ConstCalorimeterHit()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00017">CalorimeterHitConst.cc:17</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_a4f12f2c92cbafb700c06edda35f27e71"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#a4f12f2c92cbafb700c06edda35f27e71">eic::ConstCalorimeterHit::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from CalorimeterHitObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8h_source.html#l00091">CalorimeterHitConst.h:91</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html_ab943a8ca52790ce65b76daecc49bda8f"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html#ab943a8ca52790ce65b76daecc49bda8f">eic::ConstCalorimeterHit::z</a></div><div class="ttdeci">const double &amp; z() const</div><div class="ttdoc">Access the member of The position of the hit in world coordinates. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8cc_source.html#l00059">CalorimeterHitConst.cc:59</a></div></div>
<div class="ttc" id="_vector_x_y_z_8h_html"><div class="ttname"><a href="_vector_x_y_z_8h.html">VectorXYZ.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
